<style type="text/css">
	h3 { margin: 0 0 10px 0 }
	.cx-grid table { margin-bottom: 20px }
</style>

<style type="text/css">
.dashboard { font-size: 14px }
.dashboard .line { line-height: 22px; clear: both }
.block-list { display: block }
.block-list li { display: block; line-height: 22px }
.block-list ul { margin-left: 20px }
.dashboard legend { padding: 3px 6px !important; font-size: 12px }
legend a { color: #fff; text-decoration: underline; font-weight: bold }
legend a:hover { color: #efefef }
legend a:visited { color: #fff }
.statistics strong { float: left; font-weight: normal; width: 160px }
.statistics span { float: right; font-weight: bold }
</style>

<div class="form-common dashboard">
	<div class="fleft" style="width: 540px">
		<fieldset class="mb10">
			<legend>100% Verification Requests</legend>
			
			<? if ( count($this->verifyRequests->data) ): ?>
			<div><?= $this->verifyRequests->count ? $this->verifyRequests->count : '' ?> escorts were requested 100% verification process by appointment or by photo upload</div><br/><br/>
			<? foreach ( $this->verifyRequests->data as $request ): ?>
			<? $type = ''; if ( $request->type == Model_Verifications_Requests::TYPE_WEBCAM ) $type = 'webcam'; elseif ( $request->type == Model_Verifications_Requests::TYPE_IDCARD ) $type = 'idcard' ?>
			<div class="line">
				<strong><?= date('d M', $request->date) ?></strong> <strong><a target="_blank" href="<?= Sceon_Application::getById($request->application_id)->url . '/escort/' . $request->showname ?>"><?= $request->showname ?></a></strong> has requested a verification by <a target="_blank" href="/verifications/<?= $type ?>"><?= $type ?></a><br/>
			</div>
			<? endforeach; ?>
			<? else: ?>
			There are verification requests
			<? endif; ?>
		</fieldset>
		
		<fieldset>
			<legend><a href="/verifications/notifications">Verify Notifications</a><?= $this->verifyNotifications->count ? ' (' . $this->verifyNotifications->count . ')' : '' ?></legend>
			
			<? if ( count($this->verifyNotifications->data) ): ?>
			<small>Following escorts have been 100% verified, but now they uploaded new photos, which need to be verified</small><br/><br/>
			<? foreach ( $this->verifyNotifications->data as $notification ): ?>
			<div class="line">
				<strong><a target="_blank" href="<?= Sceon_Application::getById($notification->application_id)->url . '/escort/' . $notification->showname ?>"><?= $notification->showname ?></a></strong> <?= $notification->info ?><br/>
			</div>
			<? endforeach; ?>
			<? else: ?>
			There are no escorts that have new photos to be verified
			<? endif; ?>
		</fieldset>
	</div><!-- fleft -->
	
	<fieldset class="fleft" style="width: 280px">
		<legend><a href="/escorts?status=-5">Escorts Waiting for Approval</a><?= $this->latestRegisteredEscorts->count ? ' (' . $this->latestRegisteredEscorts->count . ')' : '' ?></legend>
		
		<small>Following escorts were registered and have not been approved yet</small><br/><br/>
		
		<? $data = array(); foreach ( $this->latestRegisteredEscorts->data as $i => $escort ): ?>
		<? $date = date('d M', $escort->date_registered) ?>
		<? if ( ! isset($data[$date]) ) $data[$date] = array(); $data[$date][] = $escort ?>
		<? endforeach; ?>
		
		<ul class="block-list">
		<? foreach ( $data as $date => $escorts ): ?>
			<li>
				<strong><?= $date ?></strong>
				<ul>
					<? foreach ( $escorts as $escort ): ?>
					<li>
						<span><?= date('H:i', $escort->date_registered) ?></span>
						<strong>
							<a href="<?= '/escorts?showname=' . $escort->showname ?>"><?= $escort->showname ?></a>
						</strong>
					</li>
					<? endforeach; ?>
				</ul>
			</li>
		<? endforeach; ?>
		</ul>
	</fieldset>
	
	<fieldset class="fleft statistics" style="width: 250px; margin-right: 0">
		<legend>Statistics</legend>
		
		<div class="line"><strong>Online Escorts:</strong><span class="red"><?= $this->statistics->online_escorts ?></span></strong></div>
		<div class="line"><strong>Online Guests:</strong><span class="red"><?= $this->statistics->online_guests ?></span></div>
		<!--<div class="line"><strong>Online Clients:</strong><span class="red"><?= $this->statistics->online_clients ?></span></div>-->
		<div class="line">&nbsp;</div>
		<div class="line"><strong>Total Active Escorts:</strong><span class="red"><?= $this->statistics->total_escorts ?></span></div>
		<div class="line"><strong>Total Active Agencies:</strong><span class="red"><?= $this->statistics->total_agencies ?></span></div>
	</fieldset>
	
	<div class="clear"></div>
</div>
